<CsoundSynthesizer>
<CsOptions>
-odac -Ma -b128 -B512 --midi-key=4 --midi-velocity-amp=5 -m0
</CsOptions>
<CsInstruments>

/******CHANGING THE FIXTONE AND ITS FREQUENCY******/

giScale 	ftgen 		1, 0, -12, -2,  0, -34, -7, 10, -14, 3, -21, -3, -27, -10, 7, -17
		massign 	0, 1

instr 1
ikey		=		p4
ivel		=		p5
kreftone	invalue	"reftone"; any midi note number
ishift		=		12 - (i(kreftone) % 12); amount of shift the key values for
indx		=		(ikey+ishift) % 12; correct reading
icent		tab_i		indx, 1
ifreqeq	=		cpsmidinn(ikey)
ifreq		=		ifreqeq * cent(icent)
prints		"Key %d: equal-tempered frequency = %f; frequency with cent deviation %d = %f%n",ikey,ifreqeq,icent,ifreq
anote		oscils		ivel, ifreq, 0
kenv		linsegr	0, .1, 1, p3-0.1, 1, .1, 0
		out		anote * kenv
endin
</CsInstruments>
<CsScore>
f 0 3600
e
</CsScore>
</CsoundSynthesizer>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 572 158 400 200
CurrentView: io
IOViewEdit: On
Options:
</MacOptions>
<MacGUI>
ioView background {43433, 43947, 32896}
ioText {58, 88} {68, 26} editnum 69.000000 1.000000 "reftone" left "Lucida Grande" 8 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 69.000000
ioText {44, 16} {90, 47} label 0.000000 0.00100 "" center "Lucida Grande" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder Reference Tone
ioText {46, 63} {87, 25} label 0.000000 0.00100 "" center "Lucida Grande" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder (Midi-Number)
</MacGUI>

